﻿
<ModalComponent ButtonText="Add customer"
                ModalTitle="New customer"
                OkButtonText="Save Customer"
                IsOkButtonSubmitType="true"
                FormId="AddFormId">
    <EditForm id="@AddFormId" Model="@CustomerDto" OnValidSubmit="@HandleValidSubmit">
        <DataAnnotationsValidator />
        <ValidationSummary />

        <div class="mb-3">
            <label for="customerName" class="form-label">Name</label>
            <InputText id="customerName" @bind-Value="CustomerDto.Name" class="form-control" />
        </div>

        <div class="mb-3">
            <label for="customerPhone" class="form-label">Phone</label>
            <InputText id="customerPhone" @bind-Value="CustomerDto.Phone" class="form-control" />
        </div>

    </EditForm>
</ModalComponent>
